<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Eddie: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Eddie
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a id="index_a"></a>- a -</h3><ul>
<li>add_resource()
: <a class="el" href="classCoapServer.html#af58cf02cfa2575c558e04fdffec4403c">CoapServer</a>
, <a class="el" href="classEddieEndpoint.html#a74069f4ca61eb820845e04e8e79fac86">EddieEndpoint</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>CoapClient()
: <a class="el" href="classCoapClient.html#a5e8009df16efede98c4f750bd21b59e1">CoapClient</a>
</li>
<li>CoapServer()
: <a class="el" href="classCoapServer.html#ad5149c00a7b9fde3bbaac8f36d2c89ee">CoapServer</a>
</li>
<li>contains_key()
: <a class="el" href="classThreadSafeStorage.html#af991b7ee741ae33a5e9b95b67272d40b">ThreadSafeStorage&lt; Key, Value &gt;</a>
</li>
</ul>


<h3><a id="index_d"></a>- d -</h3><ul>
<li>discover_rd()
: <a class="el" href="classEddieEndpoint.html#a6e5cdae0155792d7fb24d7946e733647">EddieEndpoint</a>
</li>
</ul>


<h3><a id="index_e"></a>- e -</h3><ul>
<li>EddieEndpoint()
: <a class="el" href="classEddieEndpoint.html#af4a195aaa66df7a9f80a1a779dd7124b">EddieEndpoint</a>
</li>
</ul>


<h3><a id="index_g"></a>- g -</h3><ul>
<li>get_attributes()
: <a class="el" href="classEddieResource.html#ab36287546947cd2c17568edc03b5b271">EddieResource</a>
</li>
<li>get_client()
: <a class="el" href="classCoapServer.html#a5eb9e35199e0e9d72765ca4466cb6f13">CoapServer</a>
, <a class="el" href="classEddieEndpoint.html#aaaa263a103754ccbc37201f76fa1500f">EddieEndpoint</a>
</li>
<li>get_context()
: <a class="el" href="classCoapServer.html#af832d2ff6a571e8dd043f9de79f71d47">CoapServer</a>
</li>
<li>get_my_ip()
: <a class="el" href="classCoapServer.html#a868d080db89c74cce694ec370b38c01e">CoapServer</a>
</li>
<li>get_my_port()
: <a class="el" href="classCoapServer.html#a860496fc1f6bcfe099f486af92876094">CoapServer</a>
</li>
<li>get_path()
: <a class="el" href="classEddieResource.html#a7d22791c7affe5f78618ef7b7a3210e1">EddieResource</a>
</li>
<li>get_resources_from_rd()
: <a class="el" href="classEddieEndpoint.html#adb40a77a9c022410d343b655b687783e">EddieEndpoint</a>
</li>
<li>get_resources_in_linkformat()
: <a class="el" href="classCoapServer.html#ada9e1dc9ce93d16e4392ebe8ac3649f1">CoapServer</a>
</li>
<li>get_server()
: <a class="el" href="classEddieEndpoint.html#aeaeb77ed5c8f985027b986002fa849d4">EddieEndpoint</a>
</li>
</ul>


<h3><a id="index_i"></a>- i -</h3><ul>
<li>init_resource_dir_local()
: <a class="el" href="classEddieEndpoint.html#a297457642ef038b839a451a90b481476">EddieEndpoint</a>
</li>
<li>insert_valid_key()
: <a class="el" href="classThreadSafeStorage.html#ae9e0c17043a5d327ca5a10ffb624ca42">ThreadSafeStorage&lt; Key, Value &gt;</a>
</li>
<li>is_ipv6()
: <a class="el" href="classCoapServer.html#ad6a18dddcb2e935b6d691f8fc3e2f067">CoapServer</a>
</li>
</ul>


<h3><a id="index_p"></a>- p -</h3><ul>
<li>publish_resources()
: <a class="el" href="classEddieEndpoint.html#ac2b7796e7b0f4d71b1eacc622ff95e2f">EddieEndpoint</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>receive_message()
: <a class="el" href="classCoapClient.html#ab7a5adf34c482801d427851ef846e53c">CoapClient</a>
</li>
<li>remove_valid_key()
: <a class="el" href="classThreadSafeStorage.html#a2f4857ce15275f638f525db39d5e6672">ThreadSafeStorage&lt; Key, Value &gt;</a>
</li>
<li>render_delete()
: <a class="el" href="classEddieResource.html#a02255eac7ca0bf2772e3fe8456f2b9f3">EddieResource</a>
</li>
<li>render_get()
: <a class="el" href="classEddieResource.html#ab0d354d94f9e1ce71597b8e842850441">EddieResource</a>
</li>
<li>render_post()
: <a class="el" href="classEddieResource.html#ad14a722575480386f40592d281c70d43">EddieResource</a>
</li>
<li>render_put()
: <a class="el" href="classEddieResource.html#a78e82350f95b96a67f53525f687ecf33">EddieResource</a>
</li>
<li>ResourceDirectory()
: <a class="el" href="classResourceDirectory.html#a0576aec7e02d01b0db49a1fde478f419">ResourceDirectory</a>
</li>
<li>run()
: <a class="el" href="classCoapServer.html#aa03a8a20c841396f698a541e87da3b5e">CoapServer</a>
, <a class="el" href="classResourceDirectory.html#a01ed0c86b0af7e3505c924580e0a1ed2">ResourceDirectory</a>
</li>
</ul>


<h3><a id="index_s"></a>- s -</h3><ul>
<li>send_message()
: <a class="el" href="classCoapClient.html#a6db00b55c5437b1b239f59c5d1e7ae3a">CoapClient</a>
</li>
<li>send_message_and_wait_response()
: <a class="el" href="classCoapClient.html#aaa0f931079f33fda874caf691fd2c3f3">CoapClient</a>
</li>
<li>start_server()
: <a class="el" href="classCoapServer.html#a5c7f9c829a2809bbcdd737618814c9fd">CoapServer</a>
, <a class="el" href="classEddieEndpoint.html#a46183ccdfd5ac6799be0cf67c0c2ffc0">EddieEndpoint</a>
</li>
<li>stop_server()
: <a class="el" href="classCoapServer.html#a5b8430f0776f3d81d559bf056164cbc2">CoapServer</a>
, <a class="el" href="classEddieEndpoint.html#a98c8ab9733c42b91da5d57ca3b90f046">EddieEndpoint</a>
</li>
</ul>


<h3><a id="index_u"></a>- u -</h3><ul>
<li>unpublish_resources()
: <a class="el" href="classEddieEndpoint.html#a5f2facfeaa261ae316996d492efe0a3b">EddieEndpoint</a>
</li>
</ul>


<h3><a id="index__7E"></a>- ~ -</h3><ul>
<li>~CoapClient()
: <a class="el" href="classCoapClient.html#af4751a8eb83688c71b56cd1f24b9975a">CoapClient</a>
</li>
<li>~CoapServer()
: <a class="el" href="classCoapServer.html#a5128aef62364279915b14a50205c1a68">CoapServer</a>
</li>
<li>~ResourceDirectory()
: <a class="el" href="classResourceDirectory.html#afe8e2df620dbb6ab5f262b8eb5ce1192">ResourceDirectory</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
